
Foreman - Feature #32652

Tracker # 30160 (New): Extract Puppet ENC to a plugin

Add task to purge puppet data

05/23/2021 02:45 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Rake tasks   

Target version: 3.1.0   

Difficulty:  Fixed in Releases: 3.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8790

  

Description

Related issues:

Blocks Statistics - Feature #32653: Enhance puppet data purge task to purge e... New

Associated revisions

Revision 07c6107a - 10/14/2021 01:00 PM - Ondřej Ezr

Fixes #32652 - task to purge puppet data

Adds rake task to purge all puppet data for users who do not choose to use puppet.

Revision f0b19a28 - 10/14/2021 01:00 PM - Ondřej Ezr

Refs #32652 - cleanup schema_migrations from dropped migrations

History

#1 - 05/23/2021 02:46 PM - Ondřej Ezr

- Blocks Feature #32653: Enhance puppet data purge task to purge environment trends added

#2 - 09/22/2021 11:04 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/8790 added

#3 - 10/13/2021 11:08 AM - Ondřej Ezr

- Target version set to 3.1.0

#4 - 10/14/2021 01:00 PM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#5 - 10/14/2021 02:01 PM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|07c6107ab8b5c206c63ee5471e849617aab91aed.

#6 - 11/15/2021 04:52 PM - Amit Upadhye

- Category set to Rake tasks
